Skip to content
CatalogChannels

List listings

Returns listings filtered by channel, type and status; take caps the count.

Query Parameters

channelId?string

Identifier of the sales channel.

listingType?string

Value in

  • "salesChannel"
  • "source"
status?string

Only items in these statuses.

Value in

  • "draft"
  • "publishing"
  • "active"
  • "failed"
  • "unpublished"
  • "suspended"
  • "syncError"
  • "needsAttention"
take?integer
Formatint32

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/channels/listings" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "id": "7204558912004329619",    "channelId": "7204558912004329619",    "productId": "7204558912004322039",    "listingType": "salesChannel",    "externalId": "7204558912004323067",    "externalUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",    "status": "draft",    "price": 89,    "compareAtPrice": 99,    "lastSyncAt": "2026-09-28T15:30:00Z",    "lastSyncError": "Tienda online",    "lastSyncErrorCode": "POL-001",    "readinessStatus": "ready",    "readinessIssues": [      {        "code": "POL-001",        "message": "Entregar después de las 18:00.",        "blocking": false,        "source": "Tienda online",        "references": [          "Mi tienda"        ],        "causeCode": 1,        "sku": "POL-001-AZ-M",        "attributeId": "7204558912004325220"      }    ],    "publishable": false,    "readinessUpdatedAt": "2026-09-28T15:30:00Z",    "createdOn": "2026-09-28T15:30:00Z",    "updatedOn": "2026-09-28T15:30:00Z"  }]